#ifndef PAD_H
#define PAD_H

#include <QtGui>

#include "picBox.h"

class picBox;

class pad : public QWidget
{
	Q_OBJECT
	public:
		pad(QWidget * parent=0, Qt::WindowFlags f=0);
		pad(int x, int y);
		void paintEvent(QPaintEvent *event);
		bool loadImg(const QString &filename);
		void setBackground(QPixmap *background);
		void setPoint(int x, int y, int r, int g, int b);
		void resize(int x, int y);
		void mousePressEvent(QMouseEvent *event);
		void mouseMoveEvent(QMouseEvent *event);
		void mouseReleaseEvent(QMouseEvent *event);
		void threshold(int v);
		void setParent(picBox *parent);
		void earse(void);
		void drawCircle(int x, int y, int ra, int r, int g, int b);
		void buffer2background(void);
		QPixmap &getBuffer(void);
	private:
		int m_minWidth, m_minHeight;
		picBox *m_parent;
		QPixmap *m_background;
		QPixmap *m_buffer;
};

#endif
